Bug 460341 - On X11, external monitor disabled, setting of external monitor is not remembered
Summary: On X11, external monitor disabled, setting of external monitor is not remembered
Status: REPORTED
Alias: None
Product: KScreen
Classification: Plasma
Component: common (show other bugs)
Version: 5.26.3
Platform: OpenSUSE Linux
: VHI normal
Target Milestone: ---
Assignee: kscreen-bugs-null@kde.org
URL:
Keywords: regression
: 454902 460332 460529 460560 460623 460658 460676 460685 460960 461544 461648 (view as bug list)
Depends on:
Blocks:
 
Reported: 2022-10-13 07:14 UTC by Rainer Klier
Modified: 2022-11-25 11:48 UTC (History)
28 users (show)

See Also:
Latest Commit:
Version Fixed In:


Attachments
output of "kscreen-console bug" (15.54 KB, text/plain)
2022-10-19 11:25 UTC, Rainer Klier
Details
Bob English's kscreen-console bug (20.55 KB, text/plain)
2022-10-19 17:54 UTC, Bob English
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Rainer Klier 2022-10-13 07:14:34 UTC
hi,
it seems, that in KDE frameworks 5.26 the setting of external screens is not remembered/(re-)stored.
today i updated my opensuse tumbleweed system (notebook with nvidia graphics running X11) to latest available KDE framework 5 packages in version 5.26, and after reboot i noticed, that my external monitor was not enabled.
i could enable it in system settings, but after reboot, it is disabled again.
i also can enable it with the "Anzeige Einrichtung" Widget in "Systemabschnitt der Kontrollleiste", but after reboot/re-login it is disabled again.
the monitor is enabled for example at the system-login because i can see the user-login screen on both monitors, but when then KDE desktop starts after login, the external monitor gets disabled.

STEPS TO REPRODUCE
1. enable the external monitor, if not enabled
2. reboot and login again or just re-login to KDE desktop
3. see that the external monitor is disabled again

OBSERVED RESULT
the external monitor is disabled

EXPECTED RESULT
the external monitor should keep the enabled setting and should be enabled

SOFTWARE/OS VERSIONS
Operating System: openSUSE Tumbleweed 20221008
KDE Plasma Version: 5.26.0
KDE Frameworks Version: 5.99.0
Qt Version: 5.15.6
Kernel Version: 6.0.0-1.g47c5c19-default (64-bit)
Graphics Platform: X11
Processors: 8 × Intel® Core™ i7-4700HQ CPU @ 2.40GHz
Memory: 23.4 GiB of RAM
Graphics Processor: NVIDIA GeForce GTX 765M/PCIe/SSE2
Manufacturer: ASUSTeK COMPUTER INC.
Product Name: G750JW
System Version: 1.0
Comment 1 Rainer Klier 2022-10-13 07:19:36 UTC
it could be related to https://bugs.kde.org/show_bug.cgi?id=459253
Comment 2 Nate Graham 2022-10-14 18:55:02 UTC
Vixed by Vlad Zahorodnii with https://invent.kde.org/plasma/kwin/commit/ff28dd06936d733ac6d65f41669b1331fa28d1cc in Plasma 5.26.1!
Comment 3 Nate Graham 2022-10-14 19:07:49 UTC
*** Bug 460332 has been marked as a duplicate of this bug. ***
Comment 4 Nate Graham 2022-10-17 20:19:47 UTC
*** Bug 460560 has been marked as a duplicate of this bug. ***
Comment 5 Nate Graham 2022-10-17 20:20:40 UTC
*** Bug 460529 has been marked as a duplicate of this bug. ***
Comment 6 Nate Graham 2022-10-18 18:45:46 UTC
*** Bug 460623 has been marked as a duplicate of this bug. ***
Comment 7 Nate Graham 2022-10-18 18:46:06 UTC
*** Bug 460658 has been marked as a duplicate of this bug. ***
Comment 8 Nate Graham 2022-10-18 19:02:19 UTC
*** Bug 460676 has been marked as a duplicate of this bug. ***
Comment 9 Bob English 2022-10-18 20:28:20 UTC
(In reply to Nate Graham from comment #2)
> Vixed by Vlad Zahorodnii with
> https://invent.kde.org/plasma/kwin/commit/
> ff28dd06936d733ac6d65f41669b1331fa28d1cc in Plasma 5.26.1!

By "Vixed" do you mean Fixed?  and if so, how do I apply the fix, as your link points to some page used by the programmers, I'm just a user, and it tells me nothing.

I will run an update now and see if this "Commit" was added to an update. Please stand by....
Comment 10 Bob English 2022-10-18 20:48:00 UTC
Updated the system and there was one for Plasma Display.  Rebooted >> No change.  Went into settings enabled the display, set as primary, still misreporting the refresh rate with 30Hz listed as the only rate the monitor can run at, which is false, it can do 60Hz.  When I hit apply, all that happens is that all of the open apps shift to the left, 1/2 on and 1/2 off screen, the dialog with the "Keep" and "revert" buttons does nothing on clicking (Cursor positioning incorrect?) and it reverts.  Reboot doesn't change anything.

So I cannot accept this as Fixed, as the problem still remains.
Comment 11 Bryan Stine 2022-10-18 21:07:42 UTC
(In reply to Bob English from comment #10)
> Updated the system and there was one for Plasma Display.  Rebooted >> No
> change.  Went into settings enabled the display, set as primary, still
> misreporting the refresh rate with 30Hz listed as the only rate the monitor
> can run at, which is false, it can do 60Hz.  When I hit apply, all that
> happens is that all of the open apps shift to the left, 1/2 on and 1/2 off
> screen, the dialog with the "Keep" and "revert" buttons does nothing on
> clicking (Cursor positioning incorrect?) and it reverts.  Reboot doesn't
> change anything.
> 
> So I cannot accept this as Fixed, as the problem still remains.

I’m inclined to agree. The commit cited is in wayland code, and I built kain on the Plasma/5.26 branch last night and still experience loss of the primary screen on resume from suspend on X11.
Comment 12 Bob English 2022-10-18 21:16:23 UTC
(In reply to Bryan D. Stine from comment #11)
> (In reply to Bob English from comment #10)
> > Updated the system and there was one for Plasma Display.  Rebooted >> No
> > change.  Went into settings enabled the display, set as primary, still
> > misreporting the refresh rate with 30Hz listed as the only rate the monitor
> > can run at, which is false, it can do 60Hz.  When I hit apply, all that
> > happens is that all of the open apps shift to the left, 1/2 on and 1/2 off
> > screen, the dialog with the "Keep" and "revert" buttons does nothing on
> > clicking (Cursor positioning incorrect?) and it reverts.  Reboot doesn't
> > change anything.
> > 
> > So I cannot accept this as Fixed, as the problem still remains.
> 
> I’m inclined to agree. The commit cited is in wayland code, and I built kain
> on the Plasma/5.26 branch last night and still experience loss of the
> primary screen on resume from suspend on X11.

Exactly!  I too am on X11, not Wayland, so I cannot see how it applies to us.
Comment 13 Rainer Klier 2022-10-19 10:05:37 UTC
(In reply to Nate Graham from comment #2)
> Vixed by Vlad Zahorodnii with
> https://invent.kde.org/plasma/kwin/commit/
> ff28dd06936d733ac6d65f41669b1331fa28d1cc in Plasma 5.26.1!

sadly, this is really not true.
today i updated to Plasma 5.26.1, and the problem remains.
as Bryan D. Stine and Bob English both write, the fix does not help, when running X11.
And i too am on X11, not Wayland.
Comment 14 David Edmundson 2022-10-19 10:43:19 UTC
Please include output of "kscreen-console bug" when in this broken state.
Comment 15 Rainer Klier 2022-10-19 11:17:18 UTC
(In reply to David Edmundson from comment #14)
> Please include output of "kscreen-console bug" when in this broken state.

what do you mean with that?
do you mean i should reboot/re-login and before manually re-enabling the disabled monitor, i should run "kscreen-console bug"?
Comment 16 Rainer Klier 2022-10-19 11:25:43 UTC
Created attachment 153027 [details]
output of "kscreen-console bug"

right after reboot, when external display is set to disabled, i ran "kscreen-console bug", before manually re-enabling the external display.
Comment 17 Nate Graham 2022-10-19 16:44:45 UTC
Re-opening since it seems like it's not fixed on X11 yet.
Comment 18 Bob English 2022-10-19 17:54:17 UTC
Created attachment 153040 [details]
Bob English's kscreen-console bug
Comment 19 Bob English 2022-10-19 17:59:19 UTC
Everything is normal, up to and including the KDE splash screen, then only one monitor comes on line.  In the settings it is set as primary;  I had it as secondary.
Comment 20 Nate Graham 2022-10-20 15:28:18 UTC
*** Bug 460685 has been marked as a duplicate of this bug. ***
Comment 21 petrk 2022-10-20 17:27:34 UTC
Not sure if it's a duplicate, as layout is remembered (until it isn't). My problem is with monitor not powering on when layout is changed, say from "internal only" to "extend". All I get is a laptop screen flicker, until I spam layout change enough times.
Comment 22 John 2022-10-22 13:44:42 UTC
I have a laptop with two external monitors, one HDMI and on Display Port.  After resume from sleep, the DP monitor is disabled and the HDMI monitor displays a flickering shadow of the lock screen.  Mouse input on the laptop only works when the mouse is over the HDMI display.  If I then reboot, I can reconfigure my setup to work again.

As a work around I am using autorandr.  I saved a working profile and have it reload when the computer wakes from sleep. 

Here is some specific system information;

Operating System: Garuda Linux
KDE Plasma Version: 5.26.1
KDE Frameworks Version: 5.99.0
Qt Version: 5.15.6
Kernel Version: 6.0.2-zen1-1-zen (64-bit)
Graphics Platform: X11
Processors: 16 × 11th Gen Intel® Core™ i7-11800H @ 2.30GHz
Memory: 15.4 GiB of RAM
Graphics Processor: Mesa Intel® UHD Graphics
Manufacturer: LENOVO
Product Name: 82JF
System Version: Legion 5 Pro 16ITH6

01:00.0 VGA compatible controller: NVIDIA Corporation GA107BM [GeForce RTX 3050 Mobile] (rev a1) (prog-if 00 [VGA controller])
	Subsystem: Lenovo Device 3e87
	Flags: bus master, fast devsel, latency 0, IRQ 219, IOMMU group 17
	Memory at 6d000000 (32-bit, non-prefetchable) [size=16M]
	Memory at 6000000000 (64-bit, prefetchable) [size=4G]
	Memory at 6100000000 (64-bit, prefetchable) [size=32M]
	I/O ports at 4000 [size=128]
	Expansion ROM at 6e080000 [virtual] [disabled] [size=512K]
	Capabilities: <access denied>
	Kernel driver in use: nvidia
	Kernel modules: nouveau, nvidia_drm, nvidia
Comment 23 Bob English 2022-10-23 22:24:46 UTC
FWIW:  My graphics card (1 x Display port, 1 x HDMI) supports and runs both monitors, and on mine it is the one using a Display port that doesn't work, and the one on the HDMI is the one that works.
Comment 24 Rainer Klier 2022-10-24 11:56:07 UTC
i have a second user account on my computer, to be able to test issues, if they also occur on other accounts.
and today i found out, that the external monitor is enabled automtaically/by default on this second user account.
i can't explain why, and before the update to 5.26 it was of course also working with my main account.
i just wanted to tell you this fact.
Comment 25 Bob English 2022-10-24 18:49:36 UTC
(In reply to Rainer Klier from comment #24)
> i have a second user account on my computer, to be able to test issues, if
> they also occur on other accounts.
> and today i found out, that the external monitor is enabled automtaically/by
> default on this second user account.
> i can't explain why, and before the update to 5.26 it was of course also
> working with my main account.
> i just wanted to tell you this fact.

There are other duplicate bug reports, as listed above, but to read them you have to follow the links as their text isn't carried over to here which would be a good thing for clarity.  My original bug report had some important details, including that the problem is isolated to one account.  Heres what I wrote:

"After the system went into standby, when I unlocked the screen one of 2 monitors (the primary one at 4K) is black, no mouse pointer, nothing! Reboot doesn't help. In display settings the monitor is present, but not activated.  I find and select it from the drop down list, and can change the resolution, but the refresh rate cannot be selected, and it reads 30Hz with an i (for Info) next to it, I click the i and get "30 Hz is the only resolution this monitor can display" (it can do 60Hz for sure).  I log off and log on to a different user account and all is well, both monitors work, and as usual.

Conclusion:  Something wrong with Plasma settings of that one user account only.

Now, for the last week or so (I run updates daily) Plasma has not remembered any window sizes or positions, nor Icon locations after moving on the desktop between reboots. They seem to be stuck in time from when I used them one week ago.

Since only one user account is affected it must be related to one or more user specific Plasma display settings related files, and Plasma is not making changes to it/them, but now somehow did, but in a very bad way!  Maybe it's a module it uses to record changes, but I cannot tell yet until I logon to the other user account open a few apps resize their windows, move a few Icons around... reboot and see if the changes took, but I don't want it to break too!" 

Now I add this:  Before I shut down, I always close all open windows on all desktops, but now after rebooting some (not all) open again, as if I didn't close them. Although all of these problems may not be related, they all have one thing in common:  Plasma is not recording the desktop and displays configurations after suspending monitors, or reboots.
Comment 26 Rainer Klier 2022-10-25 06:53:23 UTC
(In reply to Rainer Klier from comment #24)
> i have a second user account on my computer, to be able to test issues, if
> they also occur on other accounts.
> and today i found out, that the external monitor is enabled automtaically/by
> default on this second user account.

i was wrong.
it doesn't have anything to do with the account.
today i first tried the test-account after switching on the computer, and here the behaviour was the same: external monitor was disabled.
then i logged of from the test-account and logged in to my account, and guess what, the second monitor was enabled by default.
Comment 27 Bob English 2022-10-25 08:28:45 UTC
(In reply to Rainer Klier from comment #26)
> (In reply to Rainer Klier from comment #24)
> > i have a second user account on my computer, to be able to test issues, if
> > they also occur on other accounts.
> > and today i found out, that the external monitor is enabled automtaically/by
> > default on this second user account.
> 
> i was wrong.
> it doesn't have anything to do with the account.
> today i first tried the test-account after switching on the computer, and
> here the behaviour was the same: external monitor was disabled.
> then i logged of from the test-account and logged in to my account, and
> guess what, the second monitor was enabled by default.

So it's flippant between accounts, that doesn't mean the account has nothing to do with it, but that it does!  It means that display settings for each account are saved per account, and whatever mechanism is saving them is screwing up.  I also have what I call a "Maintenance account" and I too logged into it to see if the problem was with it too, and it worked fine.  So just maybe if I log back into it, it too is missing a monitor, and when I go back to this one I will have two monitors again.  If so then the developers may get a better idea where to look, as something about the login process may have something to do with it, or effect whatever the issue is.

I will try tomorrow:  Dead tired now.
Comment 28 Nate Graham 2022-10-25 17:02:07 UTC
*** Bug 460960 has been marked as a duplicate of this bug. ***
Comment 29 Bob English 2022-10-25 17:30:29 UTC
(In reply to Rainer Klier from comment #26)
> (In reply to Rainer Klier from comment #24)
> > i have a second user account on my computer, to be able to test issues, if
> > they also occur on other accounts.
> > and today i found out, that the external monitor is enabled automtaically/by
> > default on this second user account.
> 
> i was wrong.
> it doesn't have anything to do with the account.
> today i first tried the test-account after switching on the computer, and
> here the behaviour was the same: external monitor was disabled.
> then i logged of from the test-account and logged in to my account, and
> guess what, the second monitor was enabled by default.

This morning I logged onto my maintenance account instead, and no change at all, so not what you were describing, that account still has two monitors, and this one still has my primary one off and it cannot be turned back on.

So you may have left out something, like :  Did you let the monitors suspend while in your "Test" account?  or What all did you do that would call for Plasma to save whatever changes?  Any which way, I cannot at all see how making changes in one account can change anything in another (Separate /home/USER folders with separate settings files) unless it happened system wide in the first place which this did not as shown by the evidence.

I sure hope you didn't just make it all up, or else you may be sending those trying to fix it on a wild and useless goose chase, and hindering the investigation, not helping it.
Comment 30 bertil.bonus 2022-10-25 18:20:45 UTC
I am also having troubles from this bug. 

My second monitor is connected by a HDMI to DVI cable on a Nvidia 1070 card.

The HDMI connected DVI monitor works but the main DP connected screen is blank/no signal.
Comment 31 Rainer Klier 2022-10-27 12:52:40 UTC
(In reply to Bob English from comment #29)
> I sure hope you didn't just make it all up, or else you may be sending those
> trying to fix it on a wild and useless goose chase, and hindering the
> investigation, not helping it.

today i first logged in with my test account, and it was not working (external monitor was disabled) the same way as with my account.
then i logged off without rebooting, and logged in with my account, and then it worked.
so it seems, like with the first login it doesn't work.
i will try afterwards what happens, if i again logout and login.
Comment 32 Bob English 2022-10-27 13:34:23 UTC
I will try just switching users too.

Also:  This silence from the developers isn't encouraging.
Comment 33 Nate Graham 2022-10-27 13:37:48 UTC
None of us can reproduce this issue, unfortunately.
Comment 34 Bob English 2022-10-27 13:55:43 UTC
Any other files to attach that may help?  Is there some file we can look into and change some setting manually, or even a file to delete that will make Plasma detect the monitors on reboot, hopefully without losing a whole bunch of other settings, so not the entire plasma setup...?
Comment 35 Bob English 2022-10-27 14:11:42 UTC
Just logged out, and got a login screen on both monitors.  Logged in to my maintenance account, both monitors working.  Logged out from it, and once again Login screen on both monitors, logged in to this, my main account, KDE splash  screen on both monitors, but as soon as the desktop showed up, back to only one monitor. :>(
Comment 36 Nate Graham 2022-10-27 16:29:46 UTC
Hopefully someone who's familiar with the inner workings of KScreen and KWin can help with that. Unfortunately that person is not me; I'm just bug triaging.
Comment 37 Bob English 2022-10-27 21:24:32 UTC
(In reply to Nate Graham from comment #36)
> Hopefully someone who's familiar with the inner workings of KScreen and KWin
> can help with that. Unfortunately that person is not me; I'm just bug
> triaging.

Thanks Triage guy! Will Wait for the surgeons.  :>)
Comment 38 bertil.bonus 2022-10-27 21:44:03 UTC
Is there a way to turn off the auto detect feature? Or some other workaround?
Comment 39 John 2022-10-27 23:15:01 UTC
(In reply to bertil.bonus from comment #38)
> Is there a way to turn off the auto detect feature? Or some other workaround?

As a work around I am using autorandr.  I saved a working profile and have it reload when the computer wakes from sleep.
Comment 40 Bob English 2022-11-01 23:32:35 UTC Comment hidden (spam)
Comment 41 bertil.bonus 2022-11-05 09:26:59 UTC Comment hidden (spam)
Comment 42 Nate Graham 2022-11-05 14:26:22 UTC Comment hidden (spam)
Comment 43 Bob English 2022-11-05 16:04:25 UTC Comment hidden (spam)
Comment 44 Bob English 2022-11-05 16:21:32 UTC Comment hidden (spam)
Comment 45 Nate Graham 2022-11-05 17:38:54 UTC Comment hidden (spam)
Comment 46 bertil.bonus 2022-11-05 23:36:51 UTC
Yes, might be unrelated. I was referred here from https://bugs.kde.org/show_bug.cgi?id=450068

I am on Neon user edition. I just log in once a day to update and see if it got better. Problem started with plasma 5.26. Thursday the 27 October the computer one again worked. Then I was away for a week but it now keeps on working perfectly.

Its a DP main screen that was problematic. Secondary screen connected by a HDMI to DVI cable worked. Nvidia 1070 card with 515.65.01 driver. I just updated with pkcon and discover.

I am sorry that I can not contribute more information.
Comment 47 Nate Graham 2022-11-07 19:04:31 UTC
*** Bug 461544 has been marked as a duplicate of this bug. ***
Comment 48 Nate Graham 2022-11-09 21:08:06 UTC
*** Bug 414803 has been marked as a duplicate of this bug. ***
Comment 49 Bob English 2022-11-09 21:45:19 UTC
I found a way to get both monitors back; Well until the system goes back to sleep.  It's from the EndeavourOS Forum:

If you delete any files with monitor layouts that are named like this: c2cda156c1e54840478e5af385672567 from:

$ /home/USER/.local/share/kscreen/ 
and
$ /home/USER/.local/share/kscreen/outputs

and logging off/ back in (not sure) or as I did: reboot, so new files will be regenerated as detected.

You can experiment with deleting one or more of the files to see if this fixes your issue.  If you want to play it safe, you can archive the existing files and restore them in case of disaster, and then also have them for later comparisons with the new ones.  I deleted them all (so 4), and rebooted:  Viola', 2 Monitors again.  I did have to change their orientation in the settings though.

Hopefully this can assist the dev's who still haven't arrived on the scene (or if, are hiding :>), to find the source of the bug.
Comment 50 Nate Graham 2022-11-10 15:17:41 UTC
That effectively deletes all of KScreen's config data, which suggests that it generating incorrect config data is the problem here.
Comment 51 Nate Graham 2022-11-10 17:19:12 UTC
*** Bug 461648 has been marked as a duplicate of this bug. ***
Comment 52 Nate Graham 2022-11-10 17:45:18 UTC
*** Bug 454902 has been marked as a duplicate of this bug. ***
Comment 53 Benny Zen 2022-11-12 10:51:34 UTC
My system had the very same issue. I had 2 monitors 34" DP-0 and 24" HDMI-1. Today I switched the second monitor with a second 34" connected using DP-2. Now the problem is gone. No bogus files in `~/.local/share/kscreen` after wake anymore. Sleep just works as before KDE 5.26.x. Maybe this helps someone figuring out the regression in latest releases.

No need to mention this was a somehow expensive "fix"^^
Comment 54 bertil.bonus 2022-11-13 11:58:41 UTC
My problem returned with the upgrade to 22.04. DP monitor disappeared. HDMI/DVI monitor remained.

Solved it by removing all files under 

$ /home/USER/.local/share/kscreen/ 
and
$ /home/USER/.local/share/kscreen/outputs

and logging off/ back in.
Comment 55 Bob English 2022-11-13 19:06:49 UTC
(In reply to bertil.bonus from comment #54)
> My problem returned with the upgrade to 22.04. DP monitor disappeared.
> HDMI/DVI monitor remained.
> 
> Solved it by removing all files under 
> 
> $ /home/USER/.local/share/kscreen/ 
> and
> $ /home/USER/.local/share/kscreen/outputs
> 
> and logging off/ back in.

Solved?  No, the problem still persists, as if you let your system suspend it will lose that monitor again.  Deleting those files is just a band aid, not a final solution.
Comment 56 bertil.bonus 2022-11-14 20:29:39 UTC
(In reply to Bob English from comment #55)
> (In reply to bertil.bonus from comment #54)
> > My problem returned with the upgrade to 22.04. DP monitor disappeared.
> > HDMI/DVI monitor remained.
> > 
> > Solved it by removing all files under 
> > 
> > $ /home/USER/.local/share/kscreen/ 
> > and
> > $ /home/USER/.local/share/kscreen/outputs
> > 
> > and logging off/ back in.
> 
> Solved?  No, the problem still persists, as if you let your system suspend
> it will lose that monitor again.  Deleting those files is just a band aid,
> not a final solution.

Yeah, you are right. Had to remove the files again.
Comment 57 petrk 2022-11-14 22:04:56 UTC
Pretty sure that this bug could be marked as depending on https://bugs.kde.org/show_bug.cgi?id=450068 since connector IDs are volatile, and there's no permanent fix until that is solved in a robust way.
Comment 58 Nate Graham 2022-11-15 18:05:49 UTC
Not quite; that's a related bug but is specific to plasmashell's usage of connector IDs to map containments to screens. The root cause of this bug hasn't been found yet, and if it's related to the same underlying issue with volatile connector IDs, it would need to be fixed here, with any plasmashell fix not affecting it at all.
Comment 59 Alexander Fieroch 2022-11-16 07:57:21 UTC
Is there any workaround for this bug? 

I removed configuration files from
$ /home/USER/.local/share/kscreen/ 
and
$ /home/USER/.local/share/kscreen/outputs
but it doesn't change anything. Do I need to remove all of them, or should I keep the latest working configuration? Should I do this every time before going to sleep mode?

After awakening from sleep my three monitors have lost their configuration. Two of three monitors are disabled, have lost their position and orientation. Just enabling them again is not easy working because of another bug. My third monitor is not detected everytime, I can enable it, but the desktop does not use it, and it stays blank.
Comment 60 Bryan Stine 2022-11-16 18:59:06 UTC
(In reply to Alexander Fieroch from comment #59)
> Is there any workaround for this bug? 
> 
> I removed configuration files from
> $ /home/USER/.local/share/kscreen/ 
> and
> $ /home/USER/.local/share/kscreen/outputs
> but it doesn't change anything. Do I need to remove all of them, or should I
> keep the latest working configuration? Should I do this every time before
> going to sleep mode?
> 
> After awakening from sleep my three monitors have lost their configuration.
> Two of three monitors are disabled, have lost their position and
> orientation. Just enabling them again is not easy working because of another
> bug. My third monitor is not detected everytime, I can enable it, but the
> desktop does not use it, and it stays blank.

Disabling the kscreen service has made resume from suspend reliable for me. However, there are some caveats: I do need to rearrange the monitors when logging into a session (e.g. after reboot or logout); additionally, I'm doing this on a desktop system and I suspect disabling kscreen will make hotplugging displays an issue, or at least less convenient.
Comment 61 jeroni 2022-11-17 19:14:45 UTC
(In reply to Bryan Stine from comment #60)
> (In reply to Alexander Fieroch from comment #59)
> > Is there any workaround for this bug? 
> > 
> > I removed configuration files from
> > $ /home/USER/.local/share/kscreen/ 
> > and
> > $ /home/USER/.local/share/kscreen/outputs
> > but it doesn't change anything. Do I need to remove all of them, or should I
> > keep the latest working configuration? Should I do this every time before
> > going to sleep mode?
> > 
> > After awakening from sleep my three monitors have lost their configuration.
> > Two of three monitors are disabled, have lost their position and
> > orientation. Just enabling them again is not easy working because of another
> > bug. My third monitor is not detected everytime, I can enable it, but the
> > desktop does not use it, and it stays blank.
> 
> Disabling the kscreen service has made resume from suspend reliable for me.
> However, there are some caveats: I do need to rearrange the monitors when
> logging into a session (e.g. after reboot or logout); additionally, I'm
> doing this on a desktop system and I suspect disabling kscreen will make
> hotplugging displays an issue, or at least less convenient.

Surely works when kscreen service is disabled. I've handled the rearrange monitors by creating a script in /etc/profile.d and using xrandr by now....
Here is my setup:
cat /etc/profile.d/screen-config.sh                                                                                                     ✔  at 20:10:27  
xrandr --output HDMI-0 --mode 1920x1080 --pos 0x360 --output DP-0 --mode 3440x1440 --pos 1920x0 --rate 75 --primary --output DP-3 --mode 1920x1080 --pos 5360x360
Comment 62 René Fritz 2022-11-19 15:00:54 UTC
I have a laptop with Nvidia graphics and driver version 510 (tried 515 and 520). KDE Neon 22.04

I use external monitors connected with HDMI and USB-C (which is display port?) both in 4k.
Hotplug worked well but not always flawless in the past.

Lately only HDMI Monitor gets enabled on hotplug but not the one over USB-C. 
This behavior seems to be the same which many described here.
I can enable the USB-C monitor using kcm_kscreen but it gets disabled immediately. 
Can't tell which updated caused it. It was before 22.04 was available I thin.

My workaround
- plug in the USB-C Monitor, it will not be enabled
- enable the USB-C Monitor using nvidia-settings
- plug in the HDMI Monitor
- the monitor layout configured with kcm_kscreen will be restored

To me it seems not the monitor layout is the problem but enabling a display port monitor - maybe specific to nvidia?
I don't think the it's the nvidia driver because I'm pretty shure I used v 510 already when it still worked.

Slightly different and maybe not related:
I have another setup with two 4k daisy chained USB-C monitors. I had a problem there that sometimes one monitor got not enabled and enabling him manually using kcm_kscreen didn't work (nothing happens). Usually I tried plugin multiple times until it worked. This behavior got much more worse with recent update, which means it doesn't work 95% of the time.
Comment 63 qaz.cetelic@gmail.com 2022-11-21 18:45:55 UTC
I'm also experiencing the issue.

I've found a workaround:
1. Change display configuration
2. Kill the plasmashell (and let it restart)
3. A message notifying about plasma crashing appears
4. Change display configuration again
5. Confirm display changes (this pop-up does not appear before killing plasma shell)
6. External monitor works and display configuration is used.

Operating System: Fedora Linux 37
KDE Plasma Version: 5.26.3
KDE Frameworks Version: 5.100.0
Qt Version: 5.15.7
Kernel Version: 6.0.8-300.fc37.x86_64 (64-bit)
Graphics Platform: X11
Processors: 12 × Intel® Core™ i7-8750H CPU @ 2.20GHz
Graphics Processor: NVIDIA GeForce GTX 1060/PCIe/SSE2
System Version: V1.19
Comment 64 qaz.cetelic@gmail.com 2022-11-21 18:51:39 UTC
I've just rebooted, and the display configuration is still intact, and the external monitor is still connected. The workaround persists after rebooting.
Comment 65 David Edmundson 2022-11-25 11:42:55 UTC
>- enable the USB-C Monitor using nvidia-settings

If nvidia-settings is also adjusting monitors that's going to lead to unpredictable results having two daemons thinking they're in charge at once. It is possible nvidia-settings was previously disabling the monitor after kscreen enabled it.
Comment 66 René Fritz 2022-11-25 11:48:46 UTC
(In reply to David Edmundson from comment #65)
> >- enable the USB-C Monitor using nvidia-settings
> 
> If nvidia-settings is also adjusting monitors that's going to lead to
> unpredictable results having two daemons thinking they're in charge at once.
> It is possible nvidia-settings was previously disabling the monitor after
> kscreen enabled it.

nvidia-settings is a user space program where I manually activate the monitor (gui). There's no daemon involved as I know.
Normally I don't have nvidia-settings running. In the past I didn't had problems and nvidia-settings was installed too.
nvidia proprietary driver is used